[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TControlScrollBar.InternalSetRange

Validates and applies the specified Range and updates the scroll bars.

## Declaration

Source position: forms.pp line 126

`protected procedure TControlScrollBar.InternalSetRange(`
`const AValue: Integer`
`); virtual;`

## Arguments

`AValue` |  | Value checked and applied to the Range property.

## Description

Ensures that AValue is not less than zero (0). Applies the range limited value to the member for the Range property, and calls ControlUpdateScrollBars to refresh the scroll bars for the associated TScrollingWinControl instance.

InternalSetRange is called when the SetRange method updates the value for the Range property.

## See also

TControlScrollBar.ControlUpdateScrollBars |  | Forces the associated control to update its scroll bars.
TControlScrollBar.SetRange |  | The size of the logical display area on the associated control for the scroll bar orientation.
TControlScrollBar.Range |  | The size of the logical display area on the associated control for the scroll bar orientation.
TScrollingWinControl.UpdateScrollBars |  | Initializes or updates the scroll bars for the control.